<?php
function get_base_url($dir_name="moodle") {
   # 
   # 'get_base_url' devuelve una url apropiada para usar como 'wwwroot' 
   # independientemente de la dirección IP o el nombre utilizado para acceder al servidor.
   # Luis Garcia <garcia_luigis@gva.es> para LliureX, Abril 2006
   
   if( ! empty($_SERVER['HTTPS']) )
      $SITE_URL="https://" ;
   else
      $SITE_URL="http://";
      
   # Construimos la url completa 
   $SITE_URL = $SITE_URL . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
   # y 'cortamos' por el nombre del host virtual/directorio
   if ( preg_match("/(^.*\/$dir_name)/", $SITE_URL, $coincidencias) )
      return($coincidencias[1]);
   else
      return($SITE_URL . $_SERVER['HTTP_HOST']);
}
?>
